@use '../../../global/styles/breakpoint';

.digi-page-block-lists {
	display: block;
	background: var(--digi--layout-page-block-lists--background, transparent);
	padding: var(--digi--responsive-grid-gutter) 0;

	&--variation-start,
	&--variation-sub {
		--digi--layout-page-block-lists--background: var(--digi--global--color--profile--apricot--opacity50);
	}

	&--variation-section {
		--digi--layout-page-block-lists--background: var(--digi--color--background--primary);
	}
}

.digi-page-block-lists__inner {
	display: grid;
	grid-template-columns: 1fr 2fr;
	gap: var(--digi--responsive-grid-gutter);

	@include breakpoint.below-medium {
		grid-template-columns: 1fr;
	}

	digi-layout-stacked-blocks {
		width: 100%;
	}
}
